﻿@inject UserAppState UserAppState
@implements IDisposable

<MudDialog OnKeyDown="HandleOnKeyDown">
    <DialogContent>
        <MudText Typo="Typo.h5">FIO Login</MudText><br/>
        <em>NOTE: This is not the same credentials as in APEX!</em>
    </DialogContent>
    <DialogActions>
        <MudStack>
            <LengthValidatedTextField @bind-Text="Username"
                                      Label="Username" 
                                      MinLength="3" 
                                      MaxLength="32">Username</LengthValidatedTextField>
            <MudStack Row="true">
                <PasswordTextField @bind-Password="Password" />
                <MudSwitch @bind-Value="@RememberMe" Color="Color.Primary">Remember Me</MudSwitch>
            </MudStack>
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <MudButton Color="Color.Secondary" Variant="Variant.Filled" OnClick="Cancel" ButtonType="ButtonType.Reset">Cancel</MudButton>
                <MudButton Color="Color.Primary" Variant="Variant.Filled" OnClick="Login" Disabled="@SubmitButtonDisabled" ButtonType="ButtonType.Submit">Login</MudButton>
            </MudStack>
        </MudStack>
    </DialogActions>
</MudDialog>

